#
# spec file for package yast2-hardware-detection (Version 2.13.8)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx blocxx-devel bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib diffutils doxygen e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hal-devel hwinfo hwinfo-devel info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxcrypt-devel libxml2 libxml2-devel liby2util liby2util-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl perl-XML-Parser perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcpd texinfo timezone udev unzip util-linux vim wireless-tools yast2-core yast2-core-devel yast2-devtools zlib zlib-devel

Name:           yast2-hardware-detection
Version:        2.13.8
Release:        2.2
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-hardware-detection-2.13.8.tar.bz2
Prefix:         /usr
BuildRequires:  blocxx-devel doxygen gcc-c++ hal-devel hwinfo-devel libxcrypt-devel openssl-devel yast2-core-devel yast2-devtools sysfsutils
Summary:        YaST2 - Hardware Detection Interface
# hwinfo-12.47: hw_fingerprint
Requires:       hwinfo >= 12.47

%description
This package contains the hardware detection library for YaST2.



Authors:
--------
    Arvin Schnell <arvin@suse.de>
    Klaus Kaempf <kkaempf@suse.de>
    Mathias Kettner <kettner@suse.de>
    Stefan Hundhammer <sh@suse.de>

%debug_package
%prep
%setup -n yast2-hardware-detection-2.13.8

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
rm $RPM_BUILD_ROOT/%{_libdir}/YaST2/plugin/libpy2ag_hwprobe.la

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/share/YaST2/scrconf/*.scr
%{_libdir}/YaST2/plugin/libpy2ag_hwprobe.so.*
%{_libdir}/YaST2/plugin/libpy2ag_hwprobe.so
%doc %{prefix}/share/doc/packages/yast2-hardware-detection

%changelog
* Tue Oct 09 2007 - mvidner@suse.cz
- Added .probe.fingerprint (F302658).
- 2.13.8
* Thu Mar 01 2007 - mvidner@suse.cz
- Fixed a bug in the last change that converted nearly
  all probes to disk probes.
- 2.13.7
* Wed Feb 28 2007 - jsrain@suse.cz
- fixed more memory leaks when probing hardware (#249276)
- 2.13.6
* Tue Feb 27 2007 - jsrain@suse.cz
- fixed memory leak when probing hardware (#249276)
- 2.13.5
* Tue Feb 27 2007 - mvidner@suse.cz
- Added .probe.is_xen (#241564).
- 2.13.4
* Fri Feb 03 2006 - jsuchome@suse.cz
- reduced BuildRequires
- 2.13.3
* Wed Jan 25 2006 - mvidner@suse.cz
- Added "formfactor" to .probe.system (#145485).
- 2.13.2
* Mon Dec 19 2005 - mvidner@suse.cz
- yast2-core killed libp2ystdio, no need to link it.
- Removed klibc from neededforbuild.
- 2.13.1
* Thu Sep 29 2005 - visnov@suse.cz
- Initial version split off from yast2-core
- 2.13.0
